Description: fixed format-security errors
Author: IOhannes m zmölnig
Forwarded: no
Last-Update: 2018-01-30
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-maxlib.orig/allow.c
+++ pd-maxlib/allow.c
@@ -105,7 +105,7 @@
     class_addfloat(allow_class, allow_float);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(allow_class, gensym("maxlib/allow-help.pd"));
 #endif
--- pd-maxlib.orig/arbran.c
+++ pd-maxlib/arbran.c
@@ -181,7 +181,7 @@
 	class_addmethod(rand_arbran_class, (t_method)rand_arbran_setarrays, gensym("set"), A_SYMBOL, A_SYMBOL, 0);
 #ifndef MAXLIB
 	class_sethelpsymbol(rand_arbran_class, gensym("arbran-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)rand_arbran_new, gensym("arbran"), A_SYMBOL, A_SYMBOL, 0);
 	class_sethelpsymbol(rand_arbran_class, gensym("maxlib/arbran-help.pd"));
--- pd-maxlib.orig/arraycopy.c
+++ pd-maxlib/arraycopy.c
@@ -306,7 +306,7 @@
 	// class_addlist(arraycopy_class, arraycopy_list);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(arraycopy_class, gensym("maxlib/arraycopy-help.pd"));
 #endif
--- pd-maxlib.orig/average.c
+++ pd-maxlib/average.c
@@ -192,7 +192,7 @@
     class_addfloat(average_class, average_float);
 	class_addmethod(average_class, (t_method)average_index, gensym("index"), A_FLOAT, 0);
 #ifndef MAXLIB
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
     
 #else
 	class_addcreator((t_newmethod)average_new, gensym("average"), A_DEFFLOAT, 0);
--- pd-maxlib.orig/beat.c
+++ pd-maxlib/beat.c
@@ -394,7 +394,7 @@
 	class_addmethod(beat_class, (t_method)beat_print, gensym("print"), 0);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)beat_new, gensym("beat"), A_DEFFLOAT, 0);
     class_sethelpsymbol(beat_class, gensym("maxlib/beat-help.pd"));
--- pd-maxlib.orig/beta.c
+++ pd-maxlib/beta.c
@@ -93,7 +93,7 @@
     	sizeof(t_rand_beta), 0, A_DEFFLOAT, A_DEFFLOAT, 0);
     class_addbang(rand_beta_class, rand_beta_bang);
 	class_sethelpsymbol(rand_beta_class, gensym("beta-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_beta_setup(void)
--- pd-maxlib.orig/bilex.c
+++ pd-maxlib/bilex.c
@@ -77,7 +77,7 @@
     	sizeof(t_rand_bilex), 0, A_DEFFLOAT, 0);
     class_addbang(rand_bilex_class, rand_bilex_bang);
 	class_sethelpsymbol(rand_bilex_class, gensym("bilex-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_bilex_setup(void)
--- pd-maxlib.orig/borax.c
+++ pd-maxlib/borax.c
@@ -229,7 +229,7 @@
     class_addfloat(borax_class, borax_float);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)borax_new, gensym("borax"), 0);
     class_sethelpsymbol(borax_class, gensym("maxlib/borax-help.pd"));
--- pd-maxlib.orig/cauchy.c
+++ pd-maxlib/cauchy.c
@@ -76,7 +76,7 @@
     	sizeof(t_rand_cauchy), 0, A_DEFFLOAT, 0);
     class_addbang(rand_cauchy_class, rand_cauchy_bang);
 	class_sethelpsymbol(rand_cauchy_class, gensym("cauchy-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 void maxlib_cauchy_setup(void)
 {
--- pd-maxlib.orig/chord.c
+++ pd-maxlib/chord.c
@@ -1813,7 +1813,7 @@
     class_addmethod(chord_class, (t_method)chord_ft1, gensym("ft1"), A_FLOAT, 0);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)chord_new, gensym("chord"), A_DEFFLOAT, 0);
     class_sethelpsymbol(chord_class, gensym("maxlib/chord-help.pd"));
--- pd-maxlib.orig/delta.c
+++ pd-maxlib/delta.c
@@ -130,7 +130,7 @@
     class_sethelpsymbol(delta_class, gensym("maxlib/delta-help.pd"));
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)delta_new, gensym("delta"), A_DEFFLOAT, 0);
     class_sethelpsymbol(delta_class, gensym("maxlib/delta-help.pd"));
--- pd-maxlib.orig/deny.c
+++ pd-maxlib/deny.c
@@ -107,7 +107,7 @@
     class_addfloat(deny_class, deny_float);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(deny_class, gensym("maxlib/deny-help.pd"));
 #endif
--- pd-maxlib.orig/dist.c
+++ pd-maxlib/dist.c
@@ -271,7 +271,7 @@
     class_addanything(dist_class, dist_anything);
 #ifndef MAXLIB
 	
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)dist_new, gensym("dist"), A_GIMME, 0);
 	class_sethelpsymbol(dist_class, gensym("maxlib/dist-help.pd"));
--- pd-maxlib.orig/divide.c
+++ pd-maxlib/divide.c
@@ -101,7 +101,7 @@
 	class_addbang(divide_class, (t_method)divide_bang);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)divide_new, gensym("divide"), A_GIMME, 0);
     class_sethelpsymbol(divide_class, gensym("maxlib/divide-help.pd"));
--- pd-maxlib.orig/divmod.c
+++ pd-maxlib/divmod.c
@@ -91,7 +91,7 @@
 	class_addbang(divmod_class, (t_method)divmod_bang);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)divmod_new, gensym("divmod"), A_DEFFLOAT, A_DEFFLOAT, 0);
     class_sethelpsymbol(divmod_class, gensym("maxlib/divmod-help.pd"));
--- pd-maxlib.orig/edge.c
+++ pd-maxlib/edge.c
@@ -67,7 +67,7 @@
     	0, sizeof(t_edge), 0, A_DEFFLOAT, 0);
     class_addfloat(edge_class, edge_float);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_edge_setup(void)
--- pd-maxlib.orig/expo.c
+++ pd-maxlib/expo.c
@@ -72,7 +72,7 @@
     	sizeof(t_rand_expo), 0, A_DEFFLOAT, 0);
     class_addbang(rand_expo_class, rand_expo_bang);
 	class_sethelpsymbol(rand_expo_class, gensym("expo-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_expo_setup(void)
--- pd-maxlib.orig/fifo.c
+++ pd-maxlib/fifo.c
@@ -81,7 +81,7 @@
     class_addfloat(fifo_class, fifo_int);
 	class_addbang(fifo_class, fifo_bang);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_fifo_setup(void)
--- pd-maxlib.orig/gauss.c
+++ pd-maxlib/gauss.c
@@ -73,7 +73,7 @@
     	sizeof(t_rand_gauss), 0, A_DEFFLOAT, A_DEFFLOAT, 0);
     class_addbang(rand_gauss_class, rand_gauss_bang);
 	class_sethelpsymbol(rand_gauss_class, gensym("gauss-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_gauss_setup(void)
--- pd-maxlib.orig/gestalt.c
+++ pd-maxlib/gestalt.c
@@ -106,7 +106,7 @@
 	class_addmethod(gestalt_class, (t_method)gestalt_ft1, gensym("ft1"), A_FLOAT, 0);
 	class_addmethod(gestalt_class, (t_method)gestalt_ft2, gensym("ft2"), A_FLOAT, 0);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_gestalt_setup(void)
--- pd-maxlib.orig/history.c
+++ pd-maxlib/history.c
@@ -252,7 +252,7 @@
     class_addfloat(history_class, history_float);
 	class_addmethod(history_class, (t_method)history_time, gensym("time"), A_FLOAT, 0);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_history_setup(void)
--- pd-maxlib.orig/ignore.c
+++ pd-maxlib/ignore.c
@@ -102,7 +102,7 @@
     class_addmethod(ignore_class, (t_method)ignore_time, gensym("time"), A_FLOAT, 0);
     class_addfloat(ignore_class, ignore_float);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_ignore_setup(void)
--- pd-maxlib.orig/iso.c
+++ pd-maxlib/iso.c
@@ -195,7 +195,7 @@
     class_addbang(iso_class, iso_bang);
 	class_addlist(iso_class, iso_pitch);
     
-	logpost(NULL, 4, version);
+	logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_iso_setup(void) {
--- pd-maxlib.orig/lifo.c
+++ pd-maxlib/lifo.c
@@ -93,7 +93,7 @@
 	class_addbang(lifo_class, lifo_bang);
 	class_addmethod(lifo_class, (t_method)lifo_clear, gensym("clear"), 0);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_lifo_setup(void)
--- pd-maxlib.orig/limit.c
+++ pd-maxlib/limit.c
@@ -117,7 +117,7 @@
     class_addbang(limit_class, limit_bang);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(limit_class, gensym("maxlib/limit-help.pd"));
 #endif
--- pd-maxlib.orig/linear.c
+++ pd-maxlib/linear.c
@@ -67,7 +67,7 @@
     	sizeof(t_rand_linear), 0, A_DEFFLOAT, 0);
     class_addbang(rand_linear_class, rand_linear_bang);
 	class_sethelpsymbol(rand_linear_class, gensym("linear-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }		
 #else
 void maxlib_linear_setup(void)
--- pd-maxlib.orig/listfifo.c
+++ pd-maxlib/listfifo.c
@@ -94,7 +94,7 @@
 	class_addbang(listfifo_class, listfifo_bang);
     class_addlist(listfifo_class, listfifo_list);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_listfifo_setup(void)
--- pd-maxlib.orig/listfunnel.c
+++ pd-maxlib/listfunnel.c
@@ -76,7 +76,7 @@
     class_addfloat(listfunnel_class, listfunnel_float);
     class_addlist(listfunnel_class, listfunnel_list);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_listfunnel_setup(void)
--- pd-maxlib.orig/minus.c
+++ pd-maxlib/minus.c
@@ -95,7 +95,7 @@
     class_addmethod(minus_class, (t_method)minus_ft1, gensym("ft1"), A_FLOAT, 0);
 	class_addbang(minus_class, (t_method)minus_bang);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_minus_setup(void)
--- pd-maxlib.orig/mlife.c
+++ pd-maxlib/mlife.c
@@ -492,7 +492,7 @@
     class_addfloat(mlife_class, ml_int);
 	class_addbang(mlife_class, ml_bang);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_mlife_setup(void)
--- pd-maxlib.orig/multi.c
+++ pd-maxlib/multi.c
@@ -94,7 +94,7 @@
     class_addmethod(multi_class, (t_method)multi_ft1, gensym("ft1"), A_FLOAT, 0);
 	class_addbang(multi_class, (t_method)multi_bang);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_multi_setup(void)
--- pd-maxlib.orig/nchange.c
+++ pd-maxlib/nchange.c
@@ -186,7 +186,7 @@
     class_addanything(nchange_class, nchange_list);
     class_addmethod(nchange_class, (t_method)nchange_set, gensym("set"), A_GIMME, 0);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_nchange_setup(void)
--- pd-maxlib.orig/netclient.c
+++ pd-maxlib/netclient.c
@@ -377,7 +377,7 @@
 	class_addmethod(netclient_class, (t_method)netclient_rcv, gensym("receive"), 0);
 	class_addmethod(netclient_class, (t_method)netclient_rcv, gensym("rcv"), 0);
     
-	logpost(NULL, 4, version);
+	logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_netclient_setup(void)
--- pd-maxlib.orig/netdist.c
+++ pd-maxlib/netdist.c
@@ -295,7 +295,7 @@
 	class_addmethod(netdist_class, (t_method)netdist_clear, gensym("clear"), 0);
 	class_addmethod(netdist_class, (t_method)netdist_print, gensym("print"), 0);
 	
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_netdist_setup(void)
--- pd-maxlib.orig/netrec.c
+++ pd-maxlib/netrec.c
@@ -433,7 +433,7 @@
     	sizeof(t_netrec), 0, A_DEFFLOAT, A_DEFFLOAT, A_DEFSYM, 0);
 	class_addmethod(netrec_class, (t_method)netrec_print, gensym("print"), 0);
 	
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_netrec_setup(void)
--- pd-maxlib.orig/netserver.c
+++ pd-maxlib/netserver.c
@@ -653,7 +653,7 @@
    class_addmethod(netserver_class, (t_method)netserver_debug, gensym("debug"), 0);
    
    
-   logpost(NULL, 4, version);
+   logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_netserver_setup(void)
--- pd-maxlib.orig/nroute.c
+++ pd-maxlib/nroute.c
@@ -172,7 +172,7 @@
 	class_addanything(proxy_class, nroute_setmatch);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(nroute_class, gensym("maxlib/nroute-help.pd"));
 #endif
--- pd-maxlib.orig/pitch.c
+++ pd-maxlib/pitch.c
@@ -100,7 +100,7 @@
     	0, sizeof(t_pitch), 0, A_DEFFLOAT, 0);
     class_addfloat(pitch_class, pitch_float);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_pitch_setup(void)
--- pd-maxlib.orig/plus.c
+++ pd-maxlib/plus.c
@@ -94,7 +94,7 @@
     class_addmethod(plus_class, (t_method)plus_ft1, gensym("ft1"), A_FLOAT, 0);
 	class_addbang(plus_class, (t_method)plus_bang);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_plus_setup(void)
--- pd-maxlib.orig/poisson.c
+++ pd-maxlib/poisson.c
@@ -77,7 +77,7 @@
     	sizeof(t_rand_poisson), 0, A_DEFFLOAT, 0);
     class_addbang(rand_poisson_class, rand_poisson_bang);
 	class_sethelpsymbol(rand_poisson_class, gensym("poisson-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_poisson_setup(void)
--- pd-maxlib.orig/pong.c
+++ pd-maxlib/pong.c
@@ -325,7 +325,7 @@
 	class_addbang(pong_class, pong_bang);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(pong_class, gensym("maxlib/pong-help.pd"));
 #endif
--- pd-maxlib.orig/pulse.c
+++ pd-maxlib/pulse.c
@@ -282,7 +282,7 @@
     class_addfloat(pulse_class, pulse_onoff);
     class_addbang(pulse_class, pulse_bang);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_pulse_setup(void)
--- pd-maxlib.orig/remote.c
+++ pd-maxlib/remote.c
@@ -94,7 +94,7 @@
     	sizeof(t_remote), 0, A_DEFSYM, 0);
     class_addanything(remote_class, remote_anything);
 	
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_remote_setup(void)
--- pd-maxlib.orig/rewrap.c
+++ pd-maxlib/rewrap.c
@@ -139,7 +139,7 @@
 	class_addmethod(rewrap_class, (t_method)rewrap_a, gensym("a"), A_FLOAT, 0);
 	class_addmethod(rewrap_class, (t_method)rewrap_b, gensym("b"), A_FLOAT, 0);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_rewrap_setup(void)
--- pd-maxlib.orig/rhythm.c
+++ pd-maxlib/rhythm.c
@@ -325,7 +325,7 @@
 	class_addmethod(rhythm_class, (t_method)rhythm_reset, gensym("reset"), 0);
 	class_addmethod(rhythm_class, (t_method)rhythm_print, gensym("print"), 0);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_rhythm_setup(void)
--- pd-maxlib.orig/scale.c
+++ pd-maxlib/scale.c
@@ -123,7 +123,7 @@
     class_addfloat(scale_class, scale_float);
     class_addbang(scale_class, scale_bang);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 void maxlib_scale_setup(void)
 {
--- pd-maxlib.orig/score.c
+++ pd-maxlib/score.c
@@ -288,7 +288,7 @@
 	class_addmethod(score_class, (t_method)score_set, gensym("set"), A_SYMBOL, 0);
     class_addfloat(score_class, score_float);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_score_setup(void)
--- pd-maxlib.orig/split.c
+++ pd-maxlib/split.c
@@ -81,7 +81,7 @@
     	0, sizeof(t_split), 0, A_DEFFLOAT, A_DEFFLOAT, 0);
     class_addfloat(split_class, split_float);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_split_setup(void)
--- pd-maxlib.orig/step.c
+++ pd-maxlib/step.c
@@ -162,7 +162,7 @@
     class_addmethod(step_class, (t_method)step_stop, gensym("stop"), 0);
     class_addfloat(step_class, (t_method)step_float);
 	
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_step_setup(void)
--- pd-maxlib.orig/subst.c
+++ pd-maxlib/subst.c
@@ -404,7 +404,7 @@
 	class_addlist(subst_class, subst_list);
 	class_addbang(subst_class, subst_bang);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_subst_setup(void)
--- pd-maxlib.orig/sync.c
+++ pd-maxlib/sync.c
@@ -285,7 +285,7 @@
 	class_addmethod(sync_class, (t_method)sync_set_mode, gensym("mode"), A_SYMBOL, 0);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)sync_new, gensym("sync"), A_GIMME, 0);
     class_sethelpsymbol(sync_class, gensym("maxlib/sync-help.pd"));
--- pd-maxlib.orig/temperature.c
+++ pd-maxlib/temperature.c
@@ -103,7 +103,7 @@
 	class_addmethod(temperature_class, (t_method)temperature_time, gensym("time"), A_FLOAT, 0);
 	class_addanything(temperature_class, temperature_anything);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_temperature_setup(void)
--- pd-maxlib.orig/tilt.c
+++ pd-maxlib/tilt.c
@@ -170,7 +170,7 @@
 	class_addmethod(tilt_class, (t_method)tilt_low_limit, gensym("low"), A_FLOAT, 0);
 	class_addmethod(tilt_class, (t_method)tilt_trip_point, gensym("trip"), A_FLOAT, 0);
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 }
 #else
 void maxlib_tilt_setup(void)
--- pd-maxlib.orig/timebang.c
+++ pd-maxlib/timebang.c
@@ -166,7 +166,7 @@
 	class_addbang(timebang_class, (t_method)timebang_bang);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(timebang_class, gensym("maxlib/timebang-help.pd"));
 #endif
--- pd-maxlib.orig/triang.c
+++ pd-maxlib/triang.c
@@ -73,7 +73,7 @@
     class_addbang(rand_triang_class, rand_triang_bang);
 #ifndef MAXLIB
 	class_sethelpsymbol(rand_triang_class, gensym("triang-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_sethelpsymbol(rand_triang_class, gensym("maxlib/triang-help.pd"));
 #endif
--- pd-maxlib.orig/unroute.c
+++ pd-maxlib/unroute.c
@@ -167,7 +167,7 @@
     class_addanything(unroute_class, unroute_any);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_addcreator((t_newmethod)unroute_new, gensym("unroute"), A_GIMME, 0);
     class_sethelpsymbol(unroute_class, gensym("maxlib/unroute-help.pd"));
--- pd-maxlib.orig/urn.c
+++ pd-maxlib/urn.c
@@ -145,7 +145,7 @@
     class_addmethod(urn_class, (t_method)urn_seed, gensym("seed"), A_FLOAT, 0);
 #ifndef MAXLIB
 	
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_sethelpsymbol(urn_class, gensym("maxlib/urn-help.pd"));
 #endif
--- pd-maxlib.orig/velocity.c
+++ pd-maxlib/velocity.c
@@ -104,7 +104,7 @@
 	class_addbang(velocity_class, velocity_bang);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(velocity_class, gensym("maxlib/velocity-help.pd"));
 #endif
--- pd-maxlib.orig/weibull.c
+++ pd-maxlib/weibull.c
@@ -88,7 +88,7 @@
 	class_addbang(rand_weibull_class, rand_weibull_bang);
 #ifndef MAXLIB
 	class_sethelpsymbol(rand_weibull_class, gensym("weibull-help.pd"));
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
 	class_sethelpsymbol(rand_weibull_class, gensym("maxlib/weibull-help.pd"));
 #endif
--- pd-maxlib.orig/wrap.c
+++ pd-maxlib/wrap.c
@@ -134,7 +134,7 @@
 	class_addmethod(wrap_class, (t_method)wrap_b, gensym("b"), A_FLOAT, 0);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(wrap_class, gensym("maxlib/wrap-help.pd"));
 #endif
